/* ----------------------------------------------------------------------------------------------------- */
/*  @ Import/write your custom styles here.
/*  @ Styles from this file will override 'vendors.scss' and Fuse's base styles.
/* ----------------------------------------------------------------------------------------------------- */
body{
	overflow: hidden;
	&.light{
		background: #fff !important;
		color: #616161 !important;
	}
}
.e-color-green{
	color: #069F03 !important;
}
.e-bgcolor-green{
	background: #069F03 !important;
}
//top navigation style overrides
.bordered-link{
	color: var(--fuse-primary);
	border: 1px solid var(--fuse-primary);
}

.fuse-horizontal-navigation-item {
	font-size: 0.9rem !important;
	padding: 0 16px !important;
}
.fuse-horizontal-navigation-menu-item .fuse-horizontal-navigation-item-wrapper .fuse-horizontal-navigation-item{
	min-height: 44px !important;
}
.fuse-horizontal-navigation-item-title{
	font-size: 13px;
}
.fuse-horizontal-navigation-item-active,
.fuse-horizontal-navigation-item-active-forced {

	.fuse-horizontal-navigation-item-title {
		@apply text-primary #{'!important'};
	}

	.fuse-horizontal-navigation-item-subtitle {
		@apply text-primary-400 #{'!important'};

		.dark & {
			@apply text-primary-600 #{'!important'};
		}
	}

	.fuse-horizontal-navigation-item-icon {
		@apply text-primary #{'!important'};
	}
}
.fuse-horizontal-navigation-wrapper .fuse-horizontal-navigation-item-wrapper .fuse-horizontal-navigation-item .fuse-horizontal-navigation-item-icon{
	min-width: 20px !important;
	max-width: 20px !important;
	width: 20px !important;
	height: 20px !important;
}

//expansion panel style overrides
.dashboard-page .mat-expansion-panel-header-title .mat-icon{
	width: 28px;
	height: 28px;
}
.mat-expansion-panel.card-style, .mat-expansion-panel.card-style:hover{
	background: #FFFFFF;
	border: 1px solid #e0e5ea;
	box-shadow: 1px 2px 7px rgba(0, 0, 0, 0.05);
	border-radius: 4px;
	padding: 20px;
}
.mat-expansion-panel.card-style.mat-expanded{
	background: #FFFFFF;
	border: 1px solid #e0e5ea;
	box-shadow: 1px 2px 7px rgba(0, 0, 0, 0.05);
	border-radius: 4px;
}
.mat-expansion-panel-header-title, .mat-expansion-panel-header-description{
	margin-right: 8px !important;
}
.mat-expansion-panel.card-style .mat-expansion-panel-header{
    padding: 8px 16px !important;
}


//custom type
.custom-accordian{
	.mat-expansion-panel-content, .mat-expansion-panel-body{
		padding: 0 !important;
	}
}
.blue{
	color: #143B9E !important;
}

//circle for dashboard page
.color-circle {
	border-radius:5px;
	display: inline-block;
	width:20px;
	height:20px;
	position:relative;
	z-index:0;
}
.color-circle:after {
	content:"";
	display:inline-block;
	padding-top:100%;
}
.color-circle:before {
	content:"";
	position:absolute;
	z-index:-1;
	top:0;
	left:0;
	right:0;
	bottom:0;
	background: var(--c,linear-gradient(to top, #0062FF, #97A3FE));
	padding: 4px;
	border-radius:50%;
	-webkit-mask: linear-gradient(#fff 0 0) content-box, linear-gradient(#fff 0 0);
	-webkit-mask-composite: destination-out;
	mask-composite: exclude;
}
.pink.color-circle:before{background: var(--c,linear-gradient(to top, #DA50CA, #FE6666));}
.aqua.color-circle:before{background: var(--c,linear-gradient(to top, #4B5DE8, #2EC9D7));}
.green.color-circle:before{background: var(--c,linear-gradient(to top, #50BB95, #04BFF1));}
.dark-green{
	color: #2C698B !important;
}
.light-green{
	color: #42928D !important;
}
.lighter-green{
	color: #69C598 !important;
}

//search box overrides
.mat-form-field.rounded-r-none{
	.mat-form-field-flex{
		border-top-right-radius: 0 !important;
		border-bottom-right-radius: 0 !important;
	}
}
.mat-form-field.rounded-l-none{
	.mat-form-field-flex{
		border-left: none !important;
		border-top-left-radius: 0 !important;
		border-bottom-left-radius: 0 !important;
	}
}

//avatar styles for data table in dashboard page
.rounded-image{
	object-fit: cover;
	border-radius: 50%;
	height: 24px;
	width: 24px;
}
.status{
	width: 21px;
	height: 21px;
	min-width: 21px;
	min-height: 21px;
	border-radius: 50% !important;
    .rounded{
        border-radius: 6px !important;
    }
	&.draft{
		background: #5f5f5f;
	}
	&.inprogress{
		background: #FFCA08;
	}
	&.completed{
		background: #71BF45;
	}
}
.color-legends {
	display: flex;

	.status{
		width: 14px;
		height: 14px;
		min-width: 14px;
		min-height: 14px;
	}
	.color-legend{
		display: flex;
		align-items: center;
		margin-right: 15px;
		.legend-label{
			margin-left: 10px;
		}
	}
}

//button style overrides
.mat-stroked-button.mat-button-base{
	border-radius: 5px !important;
	border-color: var(--fuse-primary) !important;
	&.rounded-l-none{
		border-bottom-left-radius: 0 !important;
		border-top-left-radius: 0 !important;
	}
	&.mat-warn{
		border-color: var(--fuse-warn) !important;
	}
}
.mat-raised-button.mat-button-base, .mat-flat-button.mat-button-base, .mat-button.mat-button-base{
	border-radius: 5px !important;
	&.rounded-l-none{
		border-bottom-left-radius: 0 !important;
		border-top-left-radius: 0 !important;
	}
}
.mat-button,
.mat-flat-button,
.mat-raised-button,
.mat-stroked-button {
	font-size: 14px !important;
	min-height: 38px !important;
}
.small-btn.mat-button,
.small-btn.mat-flat-button,
.small-btn.mat-raised-button,
.small-btn.mat-stroked-button {
    min-height: 28px !important;
}
.h-36{
    height: 36px !important;
}
.height-32{
    height: 32px !important;
}
.maxi-w-100{
    max-width: 100px !important;
}
.m-h-30{
    min-height: 30px !important;
    min-width: 30px !important;
    max-height: 30px !important;
    max-width: 30px !important;
}
.parent-with-hover-child-btn{
    .hover-child-btn{
        display: none !important;
    }
    &:hover{
        .hover-child-btn{
            display: block !important;
        }
    }
}
//general tab styles
.is-parent-tab > {
	.mat-tab-body-wrapper > .mat-tab-body > .mat-tab-body-content{
		padding: 0 !important;

		.padded-child-tab-content{
			padding:  16px;
		}
	}
}
.with-immediate-sticky-child > .mat-tab-header{
    position: sticky !important;
    top: 40px !important;
    z-index: 5;
}
.with-immediate-sticky-child.sticky-tab-only > .mat-tab-header{
    top: 0px !important;
}
.mat-tab-header > .mat-tab-label-container{
	padding: 0 !important;
}
.theme-brand .mat-tab-group.tab-type-one > .mat-tab-header > .mat-tab-label-container{
    background-color: var(--fuse-primary) !important;
}
.theme-brand .mat-tab-group.tab-type-one-secondary.inner > .mat-tab-header > .mat-tab-label-container{
	background-color: #4b80d4 !important;
}
.theme-brand .mat-tab-group .mat-tab-body-content{
	padding: 16px !important;
}
.theme-brand .mat-tab-group .mat-tab-header .mat-tab-label-container .mat-tab-list .mat-ink-bar{
	display: none !important;
}
//tab type one style overrides
.theme-brand .mat-tab-group.tab-type-one > .mat-tab-header .mat-tab-label-container .mat-tab-list .mat-tab-labels .mat-focus-indicator.mat-tab-label{
	border-radius: 0 !important;
	padding: 0 17px !important;
	height: 42px !important;
	min-width: 80px !important;
	color: #fff !important;

	&-active{
		color: #fff !important;
	}
}

//tab type one secondary style overrides
.theme-brand .is-parent-tab .mat-tab-group.tab-type-one-secondary.inner > .mat-tab-header .mat-tab-label-container .mat-tab-list .mat-tab-labels .mat-focus-indicator.mat-tab-label{
    border-radius: 0 !important;
    padding: 0 17px !important;
    height: 42px !important;
    min-width: 80px !important;
    color: #fff !important;

    &-active{
        color: #fff !important;
    }
}
//tab type two style overrides
.theme-brand .mat-tab-group.tab-type-two > .mat-tab-header .mat-tab-label-container .mat-tab-list .mat-tab-labels .mat-focus-indicator.mat-tab-label{
	border-radius: 0 !important;
	border-bottom: 4px solid transparent !important;
	padding: 0 17px !important;
	height: 42px !important;
	min-width: 80px !important;
	color: var(--fuse-primary) !important;

	&-active{
		border-bottom: 4px solid var(--fuse-primary) !important;
		background-color: transparent !important;
		color: var(--fuse-primary) !important;
	}
}

//tab type three style overrides
.theme-brand .mat-tab-group.tab-type-three .mat-tab-header .mat-tab-label-container .mat-tab-list .mat-tab-labels .mat-focus-indicator.mat-tab-label{
	border-radius: 0 !important;
	background-color: #E9EBED !important;
	border-bottom: 0px solid transparent !important;
	margin-left: 0 !important;
	padding: 0 17px !important;
	height: 42px !important;
	min-width: 80px !important;
	color: var(--fuse-primary) !important;

	&-active{
		color: var(--fuse-primary) !important;
		background-color: #CEE1FF !important;
		border-bottom: 0px solid transparent !important;
	}
}
.theme-brand .mat-tab-group.tab-type-three .mat-tab-header{
	background-color: #E9EBED !important;
}

//paginator style overrides
.mat-paginator{
	background: transparent !important;
}
//table bg
.srm-bg{
	background: #fafafa !important;
}

//Overlay style overrides
.srm-application {
	.mat-dialog-container{
		border-radius: 7px !important;
	}
	.cdk-global-overlay-wrapper .cdk-overlay-pane{
		min-width: 90vw;
		&.confirmation-dialog{
			min-width: auto !important;
			.mat-stroked-button{
				color: var(--fuse-primary);
			}
			.mat-stroked-button.mat-warn{
				color: var(--fuse-warn);
			}
			.bg-gray-50{
				background: #fff !important;
			}
		}
		&.inline-sm-overlay{
			min-width: 25vw !important;
			max-width: 50vw !important;
			.mat-stroked-button{
				color: var(--fuse-primary);
			}
			.mat-stroked-button.mat-warn{
				color: var(--fuse-warn);
			}
			.bg-gray-50{
				background: #fff !important;
			}
		}
		&.inline-md-overlay{
			min-width: 50% !important;
			.mat-stroked-button{
				color: var(--fuse-primary);
			}
			.mat-stroked-button.mat-warn{
				color: var(--fuse-warn);
			}
			.bg-gray-50{
				background: #fff !important;
			}
		}
        &.full-height{
            height: 98vh;
            .mat-dialog-content{
              max-height: calc(100vh - 116px);
            }
        }
	}
}
//mini drawer style overrides
.drawer-mini{
	z-index: 4;
	height: 100% !important;
	width: 280px;
	min-width: 280px;
	max-width: 280px;

	.dark-drawer-bg{
		height: 100%;
		background: #282C37 !important;
		.fuse-vertical-navigation-wrapper{
			background: #282C37 !important;
		}
	}
	.fuse-vertical-navigation-mode-side .fuse-vertical-navigation-item-wrapper{
		margin: 0 !important;
		.fuse-vertical-navigation-item{
			border-radius: 0 !important;
			padding-top: 12px !important;
			padding-bottom: 12px !important;
		}
	}
}
//content area
.content-area{
	height: calc(100vh - 161px);
}

//Iframe styles
.iframe-parent iframe{
	position: absolute;
	top: 0;
	left: 0;
	border: 0;
	width: 100%;
	height: 100%;
	max-width: 100%;
	max-height: 100%;
}
//custom card
.custom-card{
	border-radius: 6px !important;
}
//chips style overrides
.mat-basic-chip, .mat-basic-chip:focus, .mat-basic-chip:hover {
	background: #ffffff !important;
	box-shadow: 1px 1px 3px 3px #ececec !important;
	padding: 6px 14px !important;
	height: auto !important;
	cursor: pointer !important;
	border-radius: 16px;
	margin: 6px;
	justify-content: space-between;
	display: flex;
	align-items: center;
	user-select: none;

	.mat-icon{
		margin-left: 15px;
		border-radius: 50%;
		&:hover{
			color: var(--fuse-warn) !important;
		}
	}
}
.mat-basic-chip {
	&.mat-chip-selected, &.mat-chip-selected:focus, &.mat-chip-selected:hover{
		color: var(--fuse-on-primary) !important;
		background: var(--fuse-primary) !important;
	}
	&.mat-chip-selected .mat-icon{
		color: var(--fuse-on-primary) !important;
	}
}

//error message handling
.has-error{
	.error-text{
		color: var(--fuse-warn)  !important;
		font-size: 14px !important;
	}
	&.mat-form-field.mat-form-field-appearance-fill  .mat-form-field-wrapper {
		.mat-form-field-flex{
			border-color: var(--fuse-warn)  !important;
		}
		.mat-form-field-infix .mat-form-field-label-wrapper .mat-form-field-label{
			color: var(--fuse-warn)  !important;
		}
	}

}
.text-green{
	color:  #71BF45 !important;
}
.text-warning{
    color: #F8931D !important;
}
.text-dangerous{
    color: #F1496A !important;
}
//re-usable classes
.min-width-235{
	min-width: 235px !important;
}
.logo-img{
	padding: 10px;
	width: 150px !important;
	min-width: 150px !important;
}
.supplier-reg-image{
	width: 100% !important;
	min-width: 150px !important;
	min-height: 50px;
	height: 100%;
	background: url("~assets/images/bg/supplier-reg-image.png") no-repeat top right;
	background-size: cover;
}
//mat tooltip style overrides
.mat-tooltip{
	font-size: 14px !important;
	padding: 12px;
}
//table style overrides
.mat-header-row .mat-header-cell{
	vertical-align: bottom !important;
}
.padded-child-tab-content table.expanded-rows-table{
	padding: 0 !important;
}

//select drop down style overrides
.with-border.mat-select{
	border: 1px solid var(--fuse-primary);
}

//header form field styles
.mat-header-row .mat-form-field.mat-form-field-appearance-fill .mat-form-field-wrapper{
	margin-bottom: 0 !important;
}

//loader styles
.loader-inline{
	width: 100%;
	height: 100%;
	display: flex;
	justify-content: center;
	align-items: center;
	text-align: center;

	img{
		width: 100%;
		max-width: 200px;
	}
}
//table component
table.expanded-rows-table {
	width: calc(100% - 2px);
	background: #fafafa !important;
	padding: 0 2px;

	td {
		padding: 4px 8px !important;
		background: white;
		color: #464A53 !important;
		&.mat-cell{
			border-bottom: 0;
            font-size: 13px;
            .mat-icon-button{
                min-height: 36px !important;
                height: 36px !important;
                width: 36px !important;
            }
		}
        &.mat-footer-cell{
            background: #576E82;
            color: #fff !important;
            border: 3px solid #576E82;
            box-shadow: 0 0 2px #576e82;
            font-weight: bold;
        }
	}
	th{
        font-size: 13px !important;
        padding: 8px !important;
        border-bottom-width: 0 !important;
        font-weight: 500;
        font-family: Roboto, "Helvetica Neue", sans-serif;
	}
	tr.mat-header-row{
		height: 32px !important;
	}
    tr.mat-row{
        height: 42px !important;
        border-bottom: 1px solid #e3e3e3;
    }
	tr:hover {
		cursor: pointer;
	}
	.mat-form-field-wrapper{
		margin-bottom: 0 !important;
	}
	.mat-sort-header-content{
		text-align: left;
	}
	&.with-search{
		.mat-sort-header-content, .mat-form-field{
			width: 100%;
			min-width: 100%;
			max-width: 100%;
		}
		.th-with-search{
			display: flex;
			flex-direction: column;
			align-items: flex-start;
			text-align: left;
			width: 100%;
			span{
				margin-right: 20px;
			}
		}
		tr.mat-header-row .mat-header-cell{
			vertical-align: bottom !important;
		}
		.mat-sort-header-container{
			align-items: flex-start;
			.mat-sort-header-arrow{
				margin-top: 4px !important;
				margin-right: 10px;
				position: relative;
				right: 20px;
			}
		}
	}
}

.custom-table-component{
    table-layout: fixed;
    &.expanded-rows-table tr{
        height: 42px !important;
        border-bottom: 1px solid #e3e3e3;
        th{
            text-align: left;
        }
    }
}
.mat-sort-header-container{
    border: none !important;
}
.cardlist-grid.grid > div, .unsorted-custom-grid.grid > div{
    font-size: 0.8125rem !important;
    font-family: Roboto, "Helvetica Neue", sans-serif;
    font-weight: 500;
}

.mat-sort-header-content, .mat-header-cell, .custom-tbl-header > div{
    font-size: 0.8125rem !important;
    font-family: Roboto, "Helvetica Neue", sans-serif;
    font-weight: 500;
}
.grid > .mat-sort-header{
    display: flex;
    align-items: flex-end;
}
.grid.with-custom-headers{
    .grid{
        padding-top: 0 !important;
        padding-bottom: 0 !important;
        &.gap-4{
            gap: 0 !important;
            > div{
                padding: 4px 8px !important;
            }
        }
    }
    .grid > .mat-sort-header{

        .mat-sort-header-content{
            text-align: left;
        }
    }
}
.mat-sort-header .mat-sort-header-content{
    text-align: left;
}

.mat-form-field.mat-form-field-appearance-fill .mat-form-field-wrapper .mat-form-field-flex{
    min-height: 38px !important;
    .mat-form-field-infix .mat-input-element{
        padding: 10px 0 !important;
    }
}
.mat-form-field.mat-form-field-appearance-fill .mat-form-field-wrapper .mat-form-field-flex .mat-form-field-suffix .mat-icon-button{
    width: 36px;
    min-width: 36px;
    height: 36px;
    min-height: 36px;
}
.mat-form-field.mat-form-field-appearance-fill .mat-form-field-wrapper .mat-form-field-flex .mat-form-field-infix .mat-select{
    padding: 10px 0;
}
.standalone-input.mat-form-field {
    width: 100%;
    .mat-form-field-wrapper {
        margin-bottom: 0 !important;
        .mat-form-field-flex{
            min-height: 36px !important;
        }
    }
}

//quill editor
.ql-container .ql-editor{
	min-height: 160px;
	max-height: 160px;
	height: 160px;
	--tw-bg-opacity: 1;
	background-color: rgba(var(--fuse-bg-card-rgb),var(--tw-bg-opacity));
}

//fuse alert style overrides
.fuse-alert-appearance-fill{
	margin-bottom: 10px !important;
}
.custom-tbl-row{
	padding: 4px 8px !important;
	background: white;
    min-height: 42px !important;
    border-bottom: 1px solid #e3e3e3;
	color: #464A53 !important;
}
.custom-tbl-item .custom-tbl-row{
    border-bottom: none !important;
    border-top: 1px solid #e3e3e3;
}

.custom-tbl-header{
	display: flex;
	align-items: flex-end;

}
.w-123{
    width: 123px;
    min-width: 123px;
}
//countdown timer styles
.countdown-timer{
    margin-right: 40px;
    border-radius: 3px;

    .countdown-timer-items{
        display: flex;

        .countdown-item{
            display: flex;
            align-items: center;
            justify-content: center;
            text-align: center;
            color: #fff;
            font-size: 14px;
            font-weight: 600;
            padding: 5px 10px;
            span{
                margin-left: 5px;
                font-weight: normal;
            }

            &.days{
                background: #F65158;
            }
            &.hours, &.minutes, &.seconds{
                background: #28324B;
            }
        }
    }
}
.top-full-vh{
    top: 100vh;
}
.selectable-form-elements .mat-radio-label-content{
    width: 100% !important;
}
//input disabled
.mat-form-field.mat-form-field-appearance-fill {

    /* Disabled */
    &.mat-form-field-disabled .mat-form-field-wrapper .mat-form-field-flex {
        background: #f0f0e8 !important;
    }
}
//arrow line styles
.arrow-component{
    position:relative;
    top: 0;
    width: 92%;
    margin: 0 4%;
    height: 100%;
    overflow: hidden;
    //transform: rotate(90deg);
}
.line {
    top: 53.6%;
    left: 2px;
    position: absolute;
    border-bottom: 2px dashed #CBD0DA;
    display: block;
    width: 96%;
}
.arrow{
    position:absolute;
    right: -1px;
    width: 10px;
    border-bottom: 2px solid #CBD0DA;
    display: inline-block;
}
.right{
    transform: rotate(-45deg);
    top: 57.6%;
}
.left{
    transform: rotate(45deg);
    top: 49.6%;
}
//on the fly editable text styles
.textarea-inline-control {
    flex: 1;
    box-sizing: content-box;
    border-color: transparent;
    border-width: 1px;
    font-weight: inherit;
    line-height: 1.28;
    resize: none;
    box-shadow: transparent 0px 0px 0px 1px;
    transition: background 0.1s ease 0s;
    overflow: auto;
    overflow-y: hidden;
    border-radius: 3px;
    appearance: none;
    width: 98%;
    padding: 0.92%;
    color: var(--fuse-text-default);

    &:hover:not(:focus) {
        background-color: rgb(235, 236, 240);
    }

    &:focus {
        background-color: rgb(255,255,255);
        border: 1px solid #4c9aff;
        box-shadow: 0 0 0 1px #4c9aff;
        outline: none;
    }
    &::placeholder{
        font-size: 13px;
        font-style: italic;
        font-weight: 400;
    }
}

.builder-only-label {
    text-transform: uppercase;
    font-weight: 500;
    font-size: 11px;
    color: #8b8b8b;
    position: relative;
    top: 3px;
}
